<?php
	
	#require_once("config/connect.php");
	require_once("global_functions.php");
		
	// Funktion fügt einen Artikel zum Bon dazu
	function produkt_hinzufuegen($produkt_id, $stueck, $preis, $aktueller_bon)
	{	
		
		if(!isset($_SESSION)){session_start();}
		$currentUserId=$_SESSION['userId'];
		$checkOpenCart=mysql_fetch_array(mysql_query("SELECT ID, kunden_id FROM offener_bon WHERE bon_id = $aktueller_bon"));
		if(!$checkOpenCart && mysql_error() == false) { 
			if(isset($_SESSION["customerToEmptyBon"]) && $_SESSION["customerToEmptyBon"] >0){
				$kundeToBon = $_SESSION["customerToEmptyBon"];
				unset($_SESSION['customerToEmptyBon']);
			}
		}
		else if ($checkOpenCart[0] >0 && $checkOpenCart[1] >0) $kundeToBon = $checkOpenCart[1];
		
		else $kundeToBon = 0;
	
		if(isset($kundeToBon) && $kundeToBon > 0) $customerIdInsert = " kunden_id='".$kundeToBon."',";
		else $customerIdInsert="";
		
		$ean=rtrim($_REQUEST['ean']);
	//	print_fehler($produkt_id);
		
		// boolean javascript wird zu string in php nach ajax ?!?! net schön gelöst
		if ($ean=="true")
		{
		#	$sql="select id, reference, code, name, pricebuy, category, pricesell, taxcat, printname, negativeprice, varprice from products WHERE code='".$produkt_id."'";
			if(defined('MEHRFACH_EAN_QUERY') && strtolower(MEHRFACH_EAN_QUERY) == 'ja'){
				$whereCond=" WHERE code = '".$produkt_id."' OR code LIKE '".$produkt_id.", %' OR code LIKE '%, ".$produkt_id."' OR code LIKE '%, ".$produkt_id.", %'";
									#bei mehrfach Ean, steht am Anfang vom Datensatz, ginbt einen davor und danach, also Mitte oder steht am Ende
				
			}
			else $whereCond=" WHERE code = '".$produkt_id."'";
			$sql="SELECT products.id, reference, code, products.name, pricebuy, category, pricesell, taxcat, printname, negativeprice, varprice, 
							products.supplyprint as prodPrint, categories.supplyprint as catPrint, PRODUKTORDER, products.artikel_art AS artikelArtProd, 
							categories.artikel_art AS artikelArtCat, products.zeitpreis_netto AS productZeitprNetto, categories.zeitpreis_brutto AS catZeitprBrutto  
					FROM products 
					LEFT JOIN categories on categories.id=products.category
					 ".$whereCond." ";
			$preis="";
				// print_fehler($ean ." ". $sql);
		}
		else
		{	
				#	$sql="select id, reference, code, name, pricebuy, category, pricesell, taxcat, printname, negativeprice, varprice from products WHERE id='".$produkt_id."'";
			$sql="select products.id, reference, code, products.name, pricebuy, category, pricesell, taxcat, printname, negativeprice, varprice, 
							products.supplyprint as prodPrint, categories.supplyprint as catPrint, PRODUKTORDER, products.artikel_art AS artikelArtProd, 
							categories.artikel_art AS artikelArtCat, products.zeitpreis_netto AS productZeitprNetto, categories.zeitpreis_brutto AS catZeitprBrutto 
					from products 
					LEFT JOIN categories on categories.id=products.category
					WHERE products.id='".$produkt_id."'";
		}
		
		$responseFields="";
	
		$sql_produkte = mysql_query($sql);
		if (! $sql_produkte)
		{
			echo "SQL Fehler: " . mysql_error();
			exit(1);
		}
		while ($row_produkt=mysql_fetch_assoc($sql_produkte))
		{
			if ($ean=="true") {
                $produkt_id=$row_produkt['id'];
            }
			
			// Wenn kein Print Name angegebne wurde, dann schreibe den Namen in den Printnamen hinein
			if (isNullOrEmpty($row_produkt['printname']))
			{
				$printname=$row_produkt['name'];
			}
			else $printname=$row_produkt['printname'];
			// Wenn kein Stück angegeben wurde, dann setze die Stück auf 1
			if (isNullOrEmpty($stueck))
			{
				$stueck=1;
			}
			
			if($row_produkt['prodPrint'] > 0) $supplyPrint=$row_produkt['prodPrint'];
			else if($row_produkt['catPrint'] > 0) $supplyPrint=$row_produkt['catPrint'];
			else $supplyPrint='NULL';
			
			#	file_put_contents('kpcheckit.txt', "\n " .basename(__FILE__) . " ". __LINE__ .", supplyPrint id: ".$supplyPrint." \n", FILE_APPEND);
			
			$refPrintname=$printname;
			global $pattern, $replace;   //   pattern & replace defined in connect.php
			$printname=preg_replace($pattern,$replace, $printname);
			$name=preg_replace($pattern,$replace, $row_produkt['name']);
			
			if($row_produkt['artikelArtProd'] > 0 ) $artikelArt=$row_produkt['artikelArtProd'];
			else if($row_produkt['artikelArtCat'] > 0) $artikelArt=$row_produkt['artikelArtCat'];
			else $artikelArt= 0;
			
			if ($row_produkt['varprice'])
			{
			
				
				// Schau, ob auch ein Preis einegeben wurde ...
				if (is_numeric($preis))
				{
					// Checke ob das Produkt mit negativem Preis konfiguriert wurde;
					if ($row_produkt['negativeprice'])
					{
						$preis=$preis*-1;
					}
					
					if (strtolower(PREISEINGABE) != "ja")
					{
						// steht auf netto eingabe, Preis kann wie er ist in table offener_bon eingefuegt werden
						$vk_preis=$preis;
					}
					else  // Preisangabe erfolgt brutto
					{
						$sql_query="SELECT rate from taxes WHERE id='".$row_produkt['taxcat']."'";
						$sql_tax = mysql_query($sql_query);
						if (! $sql_tax)
						{
							echo "SQL Fehler: " . mysql_error();
							exit(1);
						}
						while ($row_tax=mysql_fetch_assoc($sql_tax))
						{
							$steuer=$row_tax['rate'];
							$vk_preis= $preis/(1+$steuer);
						}
					}
					
					# check auf Combi Artikel
					
				
					$childesExist=mysql_query("SELECT productid, print, variableAufteilung, TAXCAT, RATE FROM combiartikel
										LEFT JOIN products ON productid = products.ID
										LEFT JOIN taxes ON products.TAXCAT = taxes.ID
										WHERE childvon = ".$produkt_id." ");
					if(mysql_num_rows($childesExist) > 0){
						
						$combiArray=array();
						$i=0;
						$combiPrice=0;
						while($combiRow=mysql_fetch_array($childesExist)){
							$combiArray[$i][0]=$combiRow['productid'];
							$combiArray[$i][1]=$combiRow['print'];
							
							if (strtolower(PREISEINGABE) != "ja"){
								$teilArtikelPreis=($combiRow['variableAufteilung']/100)*$preis;
								$combiPrice+=$teilArtikelPreis*(1+$combiRow['RATE']);

							}
							else{							
								$teilArtikelPreis=(($combiRow['variableAufteilung']/100)*$preis)/(1+$combiRow['RATE']);
								$combiPrice+=($combiRow['variableAufteilung']/100)*$preis;
							}
							
							$combiArray[$i][2]=$teilArtikelPreis;
							$i++;
						}
						
						array_unshift($combiArray, array($produkt_id, 0, $combiPrice));
						$vk_preis=$combiPrice;
					}
					
					$checkVk=number_format($vk_preis,8,".","");		// aus der Ust Rechnung ergibt sich eine zahl mit 10 od mehr kommastellen, die ist ungleich der DB Zahl mit 8 kommastellen
																	// deswegen wird hier number format auf 8 stellen gemacht
					$checkExist=mysql_fetch_assoc(mysql_query("SELECT ID, printname, pricesell, beilagen_aenderung_minus, beilagen_aenderung_minus, 
										stueck, produkt_id FROM offener_bon 
									WHERE bon_id=".$aktueller_bon." AND  produkt_id=".$produkt_id." AND pricesell=".$checkVk."  AND printname='".$refPrintname."'
										AND beilagen_aenderung_minus = '' AND beilagen_aenderung_plus = ''  "));

					if($checkExist['ID'] > 0 && strtolower(ARTIKEL_OFFENERBON_ADDIEREN)=='ja' ){						
						if($checkExist['stueck'] + $stueck < 0 && strtolower(DISABLE_BON_MINUS_ANZAHL) == 'ja'){
								$responseFields=array('unerlaubte Anzahl', 0, $checkExist['ID'] );
						}
						else{	
							if(isset($combiArray)){
								$updQl=mysql_query("UPDATE offener_bon SET stueck = stueck + ".$stueck." WHERE ID = ".$checkExist['ID']." ");
								if(!$updQl)$responseFields=array('Datenbank Fehler 1 aufgetreten. '. mysql_error($updQl).'', $checkExist['ID']. 0);
								$upd2Ql=mysql_query("UPDATE offener_bon SET stueck = stueck + ".$stueck." 
													WHERE has_parent = ".$checkExist['ID']." AND bon_id = ".$aktueller_bon." ");
													
								if(!$updQl || !$upd2Ql)$responseFields=array('Datenbank Fehler 2 aufgetreten. '. mysql_error($upd2Ql).'', $checkExist['ID']. 0);
								else{
									$_SESSION["last_insert_product"]=0;
									$_SESSION["last_updated_product"]=$checkExist['ID'];
									$responseFields=array('Combiartikel (variable) Menge verändert', $checkExist['ID'], 0 );
								}
							}
							else{
								$updQl=mysql_query("UPDATE offener_bon SET stueck = stueck + ".$stueck." WHERE ID = ".$checkExist['ID']." ");
								$_SESSION["last_insert_product"]=0;
								$_SESSION["last_updated_product"]=$checkExist['ID'];
								$responseFields=array('erfolgreich', 0, $checkExist['ID'] );

							}
						}
					}			
					else {
					
						if(isset($combiArray)){
							for($j=0; $j < sizeof($combiArray); $j++){
								if($j==0){
										$hasChild=1;
										$hasParent=0;
								}
								else{
										$hasChild=0;
										$hasParent=$toSelectId;
								}
											# wenn es ein combin artikel ist		beilagen_prod_orig_preis='".$vk_preis."',		
								$insQl=mysql_query("INSERT INTO offener_bon
													(bon_id, produkt_id, category, TAXCAT, REFERENCE, CODE, NAME, PRICESELL, beilagen_prod_orig_preis, pricebuy, VARPRICE, 
													printname, stueck, tax_rate, PRODUKTORDER, NEGATIVEPRICE, benutzer_id, supplyprint, article_art_id, has_childs, has_parent, childPrint)
													SELECT '".$aktueller_bon."', '".$combiArray[$j][0]."', CATEGORY, TAXCAT, REFERENCE, 
													CODE, NAME, '".$combiArray[$j][2]."', '".$combiArray[$j][2]."', PRICEBUY, 1,
													(CASE WHEN PRINTNAME = '' THEN NAME ELSE PRINTNAME END), ".$stueck.", 
													(SELECT rate from taxes WHERE id=TAXCAT), PRODUKTORDER, NEGATIVEPRICE, '".$currentUserId."', supplyprint, 
													artikel_art, ".$hasChild.", ".$hasParent.", '".$combiArray[$j][1]."'  FROM products 
													WHERE ID = ".$combiArray[$j][0]." 
									");
									
								if(!$insQl){
										file_put_contents('kpcheckit.txt', "\n".basename( __FILE__ )." ". __LINE__ ."DB operation: ".mysql_error()."\n", FILE_APPEND);
								}
								else {
									if($j == 0){
										$toSelectId=mysql_insert_id(); # wird auch als parent id für die childs verwendet
										$upQl=mysql_query("UPDATE offener_bon SET parent_id = ".$toSelectId." WHERE id=".$toSelectId."  ");
									}
								}
									
							}
							
							$_SESSION["last_updated_product"]=0;
							$_SESSION["last_insert_product"] = $toSelectId;
							$responseFields=array('Combiartikel (variable) eingefügt', $toSelectId, 0 );
						
						}
						
						else{					
							$sql_query=mysql_query("INSERT INTO offener_bon SET produkt_id=$produkt_id, category='".$row_produkt['category']."', 
										reference='".$row_produkt['reference']."', code='".$row_produkt['code']."',
										name='".$name."', pricebuy='".$row_produkt['pricebuy']."', pricesell='".$vk_preis."', beilagen_prod_orig_preis='".$vk_preis."',
										taxcat=".$row_produkt['taxcat'].", printname='".$printname."', negativeprice=".$row_produkt['negativeprice'].",
										benutzer_id = '".$currentUserId."', supplyprint=".$supplyPrint.", varprice=".$row_produkt['varprice'].", 
										stueck='".$stueck."', PRODUKTORDER=".$row_produkt['PRODUKTORDER'].", bon_id='".$aktueller_bon."', 
										article_art_id = ".$artikelArt.", ".$customerIdInsert."
										tax_rate=(SELECT rate from taxes WHERE id='".$row_produkt['taxcat']."')");						 
								#	run_mysql_query($sql_query);
						
							if(!$sql_query){
								$responseFields=array(mysql_error(), 0, 0 );
							}
							else{		
								$lastInsId=mysql_insert_id();
								$_SESSION["last_updated_product"]=0;
								$_SESSION["last_insert_product"] = $lastInsId;
								$responseFields=array('erfolgreich', $lastInsId, 0 );
							}
						}
					}
				}
				else $responseFields=array('FEHLER: variables Produkt - bitte Preis eingeben', 0, 0 );	
					# print_fehler("FEHLER: variables Produkt - bitte Preis eingeben");
					# bis hier sind wir im variablen Preis IF !!!!!!
			}
			else   // Produkt ist mit Fixpreis angelegt
			{
				// Schau, ob auch ein Preis einegeben wurde ...
				if (is_numeric($preis))
				{	
					$responseFields=array('Fehler: Fixpreis Produkt - keinen Preis eingeben', 0, 0 );
					# print_fehler("Fehler: Fixpreis Produkt - keinen Preis eingeben");
				}
				else // kein Preis für Fixpreis Produkt eingegeben, alles OK
				{
					// Checke ob das Produkt mit negativem Preis konfiguriert wurde;
					if ($row_produkt['negativeprice'])
					{
						$preis=$preis*-1;
					}
					
					# 	file_put_contents('kpcheckit.txt', "\n".basename( __FILE__ )." ". __LINE__ ."num Rows: ".mysql_num_rows($childesExist)."\n", FILE_APPEND);
					# check auf Combi Artikel
					
					$childesExist=mysql_query("SELECT productid, print FROM combiartikel WHERE childvon = ".$produkt_id." ");
					if(mysql_num_rows($childesExist) > 0){

						$combiArray=array();
						$combiArray[0][0]=$produkt_id; 		# hier wird das parent Product als erstes, vor den childes eingefügt
						$combiArray[0][1]=0;
						$i=1;
						$combiBrutto=0;
						$combiNetto=0;
						while($combiRow=mysql_fetch_array($childesExist)){
							$combiArray[$i][0]=$combiRow['productid'];
							$combiArray[$i][1]=$combiRow['print'];
							$pr=mysql_fetch_array(mysql_query("SELECT PRICESELL*(1+(SELECT rate FROM taxes WHERE taxes.ID = TAXCAT)) AS bruttopr,
																	PRICESELL AS nettopr
												FROM products WHERE products.ID = ".$combiRow['productid']." "));
							$combiBrutto+=$pr[0];
							$combiNetto+=$pr[1];
							$i++;
						}
					}
					

					# referenz Price, wenn combiartikel wird der summenpreis zum vergleiche ob dieser im offenn bon steht hergenommen
					# wenn nicht combi ist es der preis aus dem produkte table
					if(isset($combiArray)){
						$refPrice=$combiBrutto;
					}
					else $refPrice=$row_produkt['pricesell'];
								
					$zeitpreis=false;
					if($row_produkt['productZeitprNetto'] > 0 || $row_produkt['catZeitprBrutto'] > 0){
						$zeitpreis=checkZeitpreis($produkt_id);
						if($zeitpreis != false ){
							$refPrice=$zeitpreis;
						}
					}	
	
					$checkExist=mysql_fetch_assoc(mysql_query("SELECT ID, printname, beilagen_aenderung_minus, beilagen_aenderung_minus, stueck, produkt_id, pricesell 
									FROM offener_bon 
									WHERE bon_id=".$aktueller_bon." AND  produkt_id= ".$produkt_id." AND ROUND(pricesell, 7) = ROUND(".$refPrice.", 7) 
									AND printname ='".$refPrintname."' AND beilagen_aenderung_minus = '' AND beilagen_aenderung_plus = '' 
									AND article_art_id = ".$artikelArt." AND has_parent = 0 "));
										
		
					
					if($checkExist['ID'] > 0 && strtolower(ARTIKEL_OFFENERBON_ADDIEREN)=='ja'){						
						if($checkExist['stueck'] + $stueck < 0 && strtolower(DISABLE_BON_MINUS_ANZAHL) == 'ja'){
								$responseFields=array('unerlaubte Anzahl', 0, $checkExist['ID'] );
						}
						else{
								if(isset($combiArray)){
									$updQl=mysql_query("UPDATE offener_bon SET stueck = stueck + ".$stueck." WHERE ID = ".$checkExist['ID']." ");
									$upd2Ql=mysql_query("UPDATE offener_bon SET stueck = stueck + ".$stueck." 
													WHERE has_parent = ".$checkExist['ID']." AND bon_id = ".$aktueller_bon." ");
									
									if(!$updQl || !$upd2Ql)$responseFields="Datenbank Fehler 3 aufgetreten.".$responseFields;
									else{
										$_SESSION["last_insert_product"]=0;
										$_SESSION["last_updated_product"]=$checkExist['ID'];
										$responseFields=array('erfolgreich', 0, $checkExist['ID'] );
									}
									
								}
								else {
								# GREATEST(0, stueck + ".$stueck.")  ansatz nicht verfolgt, schwer ein message davon zurückzubekommen
									$updQl=mysql_query("UPDATE offener_bon SET stueck = stueck + ".$stueck." WHERE ID = ".$checkExist['ID']." ");
									
									if(!$updQl)$responseFields="Datenbank Fehler 4 aufgetreten.".$responseFields;
									else{
										$_SESSION["last_insert_product"]=0;
										$_SESSION["last_updated_product"]=$checkExist['ID'];
										$responseFields=array('erfolgreich', 0, $checkExist['ID'] );
									}
							}
						}
							
					}
										
					else {
						
						if(isset($combiArray)){
							if($stueck < 0 && strtolower(DISABLE_BON_MINUS_ANZAHL) == 'ja'){
									$responseFields=array('unerlaubte Anzahl', 0, 0 );
							}
							else{
								if(isset($kundeToBon) && $kundeToBon > 0) $kundeToBon=$kundeToBon;
								else $kundeToBon=0;
								$toSelectId=false;

								for($j=0; $j < sizeof($combiArray); $j++){
									$taxRate=mysql_fetch_assoc(mysql_query("SELECT rate FROM taxes WHERE id=(SELECT TAXCAT FROM products WHERE ID = ".$combiArray[$j][0].")"));
									$tRate=$taxRate['rate'];
									if($j==0){
										$price=$combiBrutto;
										$hasChild=1;
										$hasParent=0;
									}
									else{
										$price='PRICESELL';
										$hasChild=0;
										$hasParent=$toSelectId;
									}
									$insQl=mysql_query("INSERT INTO offener_bon
														(bon_id, produkt_id, category, reference, code, name, pricebuy, pricesell, beilagen_prod_orig_preis, taxcat, printname,
														negativeprice, benutzer_id, supplyprint, varprice, stueck, PRODUKTORDER, article_art_id, kunden_id, tax_rate, 
														has_childs, has_parent, childPrint)
														SELECT '".$aktueller_bon."', '".$combiArray[$j][0]."', CATEGORY, REFERENCE, CODE, NAME, 
														PRICEBUY, ".$price.", ".$price.", TAXCAT, (CASE WHEN PRINTNAME = '' THEN NAME ELSE PRINTNAME END), 
														NEGATIVEPRICE, '".$currentUserId."', supplyprint, VARPRICE, '".$stueck."', PRODUKTORDER, 
														artikel_art, '".$kundeToBon."', '".$tRate."', ".$hasChild.", ".$hasParent.", ".$combiArray[$j][1]."
														FROM products WHERE ID = ".$combiArray[$j][0]." ");
									if(!$insQl){
										file_put_contents('kpcheckit.txt', "\n".basename( __FILE__ )." ". __LINE__ ."DB operation: ".mysql_error()."\n", FILE_APPEND);
									}
									else {
										if($j == 0){
											$toSelectId=mysql_insert_id(); # wird auch als parent id für die childs verwendet
											$upQl=mysql_query("UPDATE offener_bon SET parent_id = ".$toSelectId." WHERE id=".$toSelectId."  ");
										}
									}
								
								}

								$responseFields=array('Combiartikel eingefügt', $toSelectId, 0 );
								
							
							}
						}
						else {
												
							if($stueck < 0 && strtolower(DISABLE_BON_MINUS_ANZAHL) == 'ja'){
									$responseFields=array('unerlaubte Anzahl', 0, 0 );
							}
							else{
									# hier ist es für hapy Hour relevant
									$pricesell=$row_produkt['pricesell'];
									$zeitpreis=false;
									if($row_produkt['productZeitprNetto'] > 0 || $row_produkt['catZeitprBrutto'] > 0){
										$zeitpreis=checkZeitpreis($produkt_id);
										if($zeitpreis != false )$pricesell=$zeitpreis;
									}		

									# wenn es aus produkt od categorie einen Zeitpreis gibt rufe die funktion checken und calkulieren auf	
									$sql="INSERT INTO offener_bon SET produkt_id=$produkt_id, category='".$row_produkt['category']."', 
												reference='".$row_produkt['reference']."', code='".$row_produkt['code']."',
												name='".$name."', pricebuy='".$row_produkt['pricebuy']."', pricesell='".$pricesell."', beilagen_prod_orig_preis='".$pricesell."',
												taxcat='".$row_produkt['taxcat']."', printname='".$printname."', negativeprice='".$row_produkt['negativeprice']."', 
												benutzer_id = '".$currentUserId."', supplyprint=".$supplyPrint.", varprice='".$row_produkt['varprice']."', stueck='".$stueck."', 
												PRODUKTORDER=".$row_produkt['PRODUKTORDER'].", bon_id='".$aktueller_bon."',
												article_art_id = '".$artikelArt."', ".$customerIdInsert." 
												tax_rate=(SELECT rate from taxes WHERE id='".$row_produkt['taxcat']."')";
									$insQl=mysql_query($sql);
								if(!$insQl)
								{
									$responseFields=array("Datenbank Fehler 5 aufgetreten." . mysql_error() ." SQL: ".$sql , 0, 0);
								}
								else {
									$_SESSION["last_updated_product"]=0;
									$_SESSION["last_insert_product"] = mysql_insert_id();
									$lastInsId=mysql_insert_id();
									$responseFields=array('erfolgreich', $lastInsId, 0 );
								}
							}
						}
	
					}
					
				}
			}
			
		}
		# die bon daten werden hier aufgerufen und dem bonieren array hinzugefügt
		$openToEdit=false;
		if(defined('FUNKTION_BONIEREN_AUTOMATISCH_EDITIEREN') && strtolower(FUNKTION_BONIEREN_AUTOMATISCH_EDITIEREN) == 'ja') $openToEdit='openToEdit';
		$bonData=offenen_bon_anzeigen($aktueller_bon, 'bonieren_funktion');
		$responseFields[4]= $bonData;			# da steht der offene Bon inhalt drinnen
		$responseFields[5]= $openToEdit;
		if ($ean=="true") $responseFields[6]='eanBonieren';
		
		echo json_encode($responseFields);

	}
	
	$produkt_id=rtrim($_REQUEST['produkt_id']);
	$stueck=rtrim($_REQUEST['stueck']);
	$preis=rtrim($_REQUEST['preis']);
	$aktueller_bon=rtrim($_REQUEST['aktueller_bon']);
	
	produkt_hinzufuegen($produkt_id, $stueck, $preis, $aktueller_bon);
	//offenen_bon_anzeigen($aktueller_bon);
	
	function isNullOrEmpty($question){
		return (!isset($question) || trim($question)==='');
	}
	
	function checkZeitpreis($produkt_id){
		# abfragen ob jetzt happy hour ist
		$curDay=date('w');
		$curTime=date('H:i');
		$getHh=mysql_query("SELECT * FROM happyHourProfil WHERE tag = ".$curDay." AND tagset > 0 
							AND von < '".$curTime."' AND bis > '".$curTime."' ");
		if(mysql_num_rows($getHh)==0){
			return false;
		}
		$getZeitpreis=mysql_fetch_array(mysql_query("SELECT products.printname, products.zeitpreis_netto AS prodPreis, 
						categories.zeitpreis_brutto AS catPreis, taxes.RATE AS taxRate
					FROM products
					LEFT JOIN categories ON products.CATEGORY = categories.ID
					LEFT JOIN taxes ON products.TAXCAT = taxes.ID
					WHERE products.id = ".$produkt_id." "));
		if($getZeitpreis['prodPreis'] > 0 ) return number_format($getZeitpreis['prodPreis'],8, ".", "");
		else if($getZeitpreis['prodPreis'] == 0 && $getZeitpreis['catPreis'] > 0){
				#im categories table steht nur der brutto preis in den offenen bon kommt der netto
			return number_format($getZeitpreis['catPreis']/(1+$getZeitpreis['taxRate']),8, ".", "");
	
		}
		else return false;
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
?>